> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete/deactivate a webhook

> Webhook deleted

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

<ParamField path="webhook_id" type="string (uuid)" required>
  Webhook identifier
</ParamField>

### Response

`object`

<ResponseField name="received" type="boolean" required />

<ResponseField name="webhookId" type="string (uuid)" />

### Status codes

| Code  | Meaning           |
| ----- | ----------------- |
| `200` | Webhook deleted   |
| `401` | Unauthorized      |
| `404` | Webhook not found |

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhooks/by-id/{webhook_id}' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "received": true,
    "webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
